Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.wst.wsdl
Interface BindingOutput

All Superinterfaces:
  javax.wsdl.BindingOutput, ExtensibleElement, java.io.Serializable, WSDLElement

    public interface BindingOutput

extends ExtensibleElement, javax.wsdl.BindingOutput

A representation of the model object 'Binding Output'.

Since:
  1.0
See Also:
  `WSDLPackage.getBindingOutput()`

Method Summary
`Output` | `getEOutput()` Returns the value of the 'EOutput' reference
`java.lang.String` | `getName()` Returns the value of the 'Name' attribute
`javax.wsdl.Output` | `getOutput()` This method is same as getEOutput() and compatible with the JWSDL API.
`void` | `setEOutput(Output value)` Sets the value of the '`EOutput`' reference
`void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute
`void` | `setOutput(javax.wsdl.Output output)` This method is same as setEOutput(Output) and compatible with the JWSDL API.

Methods inherited from interface org.eclipse.wst.wsdl.ExtensibleElement
`addExtensibilityElement, getEExtensibilityElements, getExtensibilityElements`

Methods inherited from interface org.eclipse.wst.wsdl.WSDLElement
`elementChanged, getContainer, getDocumentationElement, getElement, getEnclosingDefinition, setDocumentationElement, setElement, setEnclosingDefinition, updateElement, updateElement`

Methods inherited from interface javax.wsdl.BindingOutput
`addExtensibilityElement, getDocumentationElement, getExtensibilityElements, setDocumentationElement`

Method Detail

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getName` in interface `javax.wsdl.BindingOutput`
  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `WSDLPackage.getBindingOutput_Name()`

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Specified by:
    `setName` in interface `javax.wsdl.BindingOutput`
  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`

### getEOutput

    Output getEOutput()

  Returns the value of the 'EOutput' reference.

  If the meaning of the 'EOutput' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'EOutput' reference.
  See Also:
    `setEOutput(Output)`, `WSDLPackage.getBindingOutput_EOutput()`

### setEOutput

    void setEOutput(Output value)

  Sets the value of the '`EOutput`' reference.

  Parameters:
    `value` - the new value of the 'EOutput' reference.
  See Also:
    `getEOutput()`

### getOutput

    javax.wsdl.Output getOutput()

  This method is same as getEOutput() and compatible with the JWSDL API.

  Returns:
    the value of the 'EOutput' reference.
  See Also:
    `getEOutput()`

### setOutput

    void setOutput(javax.wsdl.Output output)

  This method is same as setEOutput(Output) and compatible with the JWSDL API.

  Parameters:
    `output` - the new value of the 'EOutput' reference.
  See Also:
    `setEOutput(Output)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD